/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.world.regions;

import org.bukkit.Location;

public class GlobalRegion extends Region {

    private static final GlobalRegion GLOBAL_REGION = new GlobalRegion();

    public static GlobalRegion getInstance() {
        return GLOBAL_REGION;
    }

    public static boolean isGlobalRegion(Region region) {
        return region == GLOBAL_REGION;
    }

    public GlobalRegion() {
        super("Global");
    }

    @Override
    public boolean inRegion(Location l, RegionType regionType, RegionExtensionType regionExtensionType) {
        return true;
    }

    @Override
    public boolean hasBuildRegion() {
        return false;
    }

    @Override
    public boolean hasTestblock() {
        return false;
    }

    @Override
    public boolean hasProtection() {
        return false;
    }

    @Override
    public boolean hasExtensionArea(RegionType regionType) {
        return false;
    }
}